org.jgrapht.ext

## Interface JGraphModelAdapter.CellFactory<VV,EE>

- All Known Implementing Classes:
    JGraphModelAdapter.DefaultCellFactory
  Enclosing class:
    JGraphModelAdapter<V,E>

      public static interface JGraphModelAdapter.CellFactory<VV,EE>

  Creates the JGraph cells that reflect the respective JGraphT elements.
  Since:
    Dec 12, 2003
  Author:
    Barak Naveh

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgraph.graph.DefaultEdge` | `createEdgeCell(EE jGraphTEdge)` Creates an edge cell that contains its respective JGraphT edge.
    `org.jgraph.graph.DefaultGraphCell` | `createVertexCell(VV jGraphTVertex)` Creates a vertex cell that contains its respective JGraphT vertex.

- - ### Method Detail

    - #### createEdgeCell

          org.jgraph.graph.DefaultEdge createEdgeCell(EE jGraphTEdge)

      Creates an edge cell that contains its respective JGraphT edge.
      Parameters:
        `jGraphTEdge` - a JGraphT edge to be contained.
      Returns:
        an edge cell that contains its respective JGraphT edge.

    - #### createVertexCell

          org.jgraph.graph.DefaultGraphCell createVertexCell(VV jGraphTVertex)

      Creates a vertex cell that contains its respective JGraphT vertex.
      Parameters:
        `jGraphTVertex` - a JGraphT vertex to be contained.
      Returns:
        a vertex cell that contains its respective JGraphT vertex.

Copyright © 2016. All rights reserved.